Package com.fasterxml.jackson.core.format

# Interface InputAccessor

All Known Implementing Classes:
  `InputAccessor.Std`

public interface InputAccessor
Interface used to expose beginning of a data file to data format detection code.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`InputAccessor.Std`
Basic implementation that reads data from given `InputStream` and buffers it as necessary.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasMoreBytes()`
Method to call to check if more input is available.
`byte`
`nextByte()`
Returns next byte available, if any; if no more bytes are available, will throw `EOFException`.
`void`
`reset()`
Method that can be called to reset accessor to read from beginning of input.

## Method Details

### hasMoreBytes

boolean hasMoreBytes() throws IOException
Method to call to check if more input is available. Since this may result in more content to be read (at least one more byte), a `IOException` may get thrown.

Returns:
  Whether there is at least one more input byte accessible
Throws:
  `IOException` - If check for more content failed due to issue with underlying input abstraction

### nextByte

byte nextByte() throws IOException
Returns next byte available, if any; if no more bytes are available, will throw `EOFException`.

Returns:
  Next content byte, if available
Throws:
  `IOException` - If called and there is no more content available

### reset

void reset()
Method that can be called to reset accessor to read from beginning of input.